<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Facility Booking' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>
  <ion-grid>
    <ion-row>
      <ion-col size-md="6" offset-md="3">

        <ion-card>
          <ion-card-header>
            <ion-card-title>{{ 'Book Facility' | translate }}</ion-card-title>
          </ion-card-header>

          <ion-card-content>

            <form [formGroup]="form" (ngSubmit)="bookFacility()" (keyup.enter)="bookFacility()" method="post">

              <ion-item>
                <ion-label>{{ 'Select Facility' | translate }}</ion-label>
                <ion-select placeholder="{{ 'Select One' | translate }}" formControlName="bookingFacility" name="bookingFacility"
                  (ionChange)="changeFacility($event)">
                  <ion-select-option *ngFor="let bookingFacility of facilities" [value]="bookingFacility">
                    {{bookingFacility.name}} ({{bookingFacility.type}})
                  </ion-select-option>
                  <ion-select-option *ngIf="facilities?.length==0" disabled>
                    {{ 'No Facility found' | translate }}</ion-select-option>
                </ion-select>
              </ion-item>

              <div style="color: red"
                *ngIf="form.get('bookingFacility').hasError('required') && form.get('bookingFacility').touched">
                {{ 'Select Facility field*' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'Start' | translate }}</ion-label>
                <ion-datetime displayFormat="MMM DD, YYYY HH:mm" pickerFormat="MMM DD, YYYY HH:mm" min="{{minDate}}"
                  max="{{maxDate}}" placeholder="{{ 'Select Date and Time' | translate }}" formControlName="startDate" name="startDate"
                  (ionChange)="changeStartDate($event)">
                </ion-datetime>
              </ion-item>

              <div style="color: red"
                *ngIf="form.get('startDate').hasError('required') && form.get('startDate').touched">
                {{ 'This field is required*' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'End' | translate }}</ion-label>
                <ion-datetime displayFormat="MMM DD, YYYY HH:mm" pickerFormat="MMM DD, YYYY HH:mm" min="{{minDate}}"
                  max="{{maxDate}}" placeholder="{{ 'Select Date and Time' | translate }}" formControlName="endDate" name="endDate">
                </ion-datetime>
              </ion-item>

              <div style="color: red" *ngIf="form.get('endDate').hasError('required') && form.get('endDate').touched">
                {{ 'This field is required*' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'Purpose' | translate }}</ion-label>
                <ion-input #purpose formControlName="purpose" type="text" name="purpose"></ion-input>
              </ion-item>

              <div style="color: red" *ngIf="form.get('purpose').hasError('required') && form.get('purpose').touched">
        {{ 'This field is required*' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'Description' | translate }}</ion-label>
                <ion-textarea formControlName="description" type="text" name="description"></ion-textarea>
              </ion-item>

              <div style="color: red"
                *ngIf="form.get('description').hasError('required') && form.get('description').touched">
             {{ 'This field is required*' | translate }}</div>

              <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">{{ 'Send for Approval' | translate }}
              </ion-button>
            </form>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>

  <ion-header *ngIf="selectedFacility != null">
    <ion-toolbar>
      <ion-title>{{selectedFacility?.name}} - {{calendarTitle}}</ion-title>
    </ion-toolbar>
  </ion-header>
  <ng-template #defaultNormalEventTemplate let-displayEvent="displayEvent">
    <div class="calendar-event-inner">
      <div>{{ 'Purpose' | translate }}: {{displayEvent.event.title}} | {{ 'Description' | translate }}: {{displayEvent.event.description}}</div>
      <div>{{ 'Approval Status' | translate }}: {{displayEvent.event.approvalStatus}} | {{ 'Time' | translate }}:
        {{displayEvent.event.startTime | date:'medium'}} - {{displayEvent.event.endTime  | date:'medium'}}</div>
    </div>
  </ng-template>
  <calendar *ngIf="selectedFacility != null" [eventSource]="eventSource" [calendarMode]="calendar.mode"
    [currentDate]="calendar.currentDate" (onCurrentDateChanged)="onCurrentDateChanged($event)"
    (onRangeChanged)="reloadSource(startTime, endTime)" (onEventSelected)="onEventSelected($event)"
    (onTitleChanged)="onViewTitleChanged($event)" (onTimeSelected)="onTimeSelected($event)" step="30"
    [dayviewNormalEventTemplate]="defaultNormalEventTemplate">
  </calendar>
  <div style="height: 100px;">&nbsp;</div>
</ion-content>